Package: groovy.swing.factory

## [Groovy] Class CellEditorFactory

- groovy.swing.factory.CellEditorFactory

- Authors:
    Alexander Klein

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
    `` | `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

    - #### void setChild(FactoryBuilderSupport builder, Object parent, Object child)